PUT /api/v3/admin/systemsetting

Update one or more raw system settings by field name. If a calendarization/normalization setting changes, all bills are automatically re-calendarized.

UpdateSystemSettingsV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

AdminSettingsRequest
Property Description Type
dataTypeId The setting’s data type identifier. Possible value include 1 (boolean), 2 (integer), 3 (string), 4 (double), 6 (date) Required One of ‘1’, ‘2’, ‘3’, ‘4’, ‘6’ Case sensitive integer (int32)
fieldName The setting field Required Must be between 0 and 32 characters string
value The setting value Must be between 0 and 255 characters Required (defined) string
Example Request Body application/json
[
  {    "dataTypeId": 1,    "fieldName": "string",    "value": "string"
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AdminSettingsResponse
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode The data type code/short name Required (defined) string
dataTypeId The unique identifier for the data type (e.g., 1=boolean, 2=integer, 3=string, 4=double, 6=date, 12=select list, 13=URL) Required (defined) integer (int32)
dataTypeInfo The data type display name/description Required (defined) string
fieldName The setting field string
value The setting value string
Example Response application/json
[
  {    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "fieldName": "string",    "value": "string"
  }
]